[youtubei.js](../README.md) / IEndpoint

# Interface: IEndpoint\<T\>

Defined in: [src/parser/types/CommandEndpoints.ts:1](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/types/CommandEndpoints.ts#L1)

## Type Parameters

### T

`T` = `any`

## Methods

### buildRequest()

> **buildRequest**(): `T`

Defined in: [src/parser/types/CommandEndpoints.ts:3](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/types/CommandEndpoints.ts#L3)

#### Returns

`T`

***

### getApiPath()

> **getApiPath**(): `string`

Defined in: [src/parser/types/CommandEndpoints.ts:2](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/types/CommandEndpoints.ts#L2)

#### Returns

`string`
